Bug 1252285 - (CVE-2015-4479, CVE-2015-4480, CVE-2015-4493) CVE-2015-4479 CVE-2015-4480 CVE-2015-4493 Mozilla: Overflow issues in libstagefright (MFSA 2015-83)
CVE-2015-4479 CVE-2015-4480 CVE-2015-4493 Mozilla: Overflow issues in libstag...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20150811,repor...
: Security
Depends On:
Blocks: 1251515
  Show dependency treegraph
 
Reported: 2015-08-11 02:22 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-01-26 03:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 00:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-08-11 02:22:06 EDT
An anonymous researcher reported, via TippingPoint's Zero Day Initiative, reported two integer overflows that could be triggered by a malicious 'saio' chunk in an MPEG4 video, leading to potential arbitrary code execution. This issue was independently reported by security researcher laf.intel

Security researcher Massimiliano Tomassoli discovered an integer overflow issue when parsing an invalid MPEG4 video.

Mozilla security engineer Tyson Smith used the Address Sanitizer to find a buffer overflow when parsing an MPEG4 video with an invalid size in an ESDS chunk lead to memory corruption.

Each of these reported issues result in potentially exploitable crashes that could allow for remote code execution.


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-83.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Massimiliano Tomassoli, laf.intel, Massimiliano Tomassoli and Tyson Smith as the original reporter.
Comment 1 errata-xmlrpc 2015-08-11 15:48:19 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1586 https://rhn.redhat.com/errata/RHSA-2015-1586.html

Note You need to log in before you can comment on or make changes to this bug.